Name: 		aalib
Version: 	1.4rc5
Release: 	gst.4
Summary: 	An ASCII art library.
%define		dirversion 1.4.0

Group: 		Libraries/Multimedia
License: 	LGPL
URL:		http://aa-project.sourceforge.net/aalib/
Vendor:		GStreamer Backpackers Team <package@gstreamer.net>
Source:		http://unc.dl.sourceforge.net/sourceforge/aa-project/%{name}-%{version}.tar.gz
BuildRoot: 	/var/tmp/%{name}-%{version}-%{release}-root

Prereq: 	/sbin/ldconfig /sbin/install-info
Requires:	XFree86
Requires:	ncurses
BuildRequires:	XFree86-devel
BuildRequires:	ncurses-devel
Conflicts:	aalib-progs

%description
AA-lib is a low level graphics library that doesn't require a graphics
device and has no graphics output.  Instead AA-lib replaces those
old-fashioned output methods with a powerful ASCII-art renderer.  The
AA-Project is working on porting important software like DOOM and Quake
to work with AA-lib. If you'd like to help them with their efforts,
you'll also need to install the aalib-devel package.

%package devel
Summary: 	The static libraries and header files for AA-lib.
Group: 		Development/Libraries

Requires: 	%{name} = %{version}-%{release}
Requires:	XFree86-devel
Requires:	ncurses-devel

%description devel
The aalib-devel package contains the static libraries and header files
for the AA-lib ASCII art library.  If you'd like to develop programs
using AA-lib, you'll need to install aalib-devel.

%prep
%setup -q -n %{name}-%{dirversion}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall 

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
if [ -e %{_infodir}/libaa.info.gz ]; then
	/sbin/install-info %{_infodir}/libaa.info.gz %{_infodir}/dir
fi

/sbin/ldconfig

%preun
if [ -e %{_infodir}/libaa.info.gz ]; then
	/sbin/install-info --delete %{_infodir}/libaa.info.gz %{_infodir}/dir
fi

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS COPYING ChangeLog NEWS
%{_bindir}/aafire
%{_bindir}/aainfo
%{_bindir}/aasavefont
%{_bindir}/aatest
%{_libdir}/libaa.so.*
%{_infodir}/*.info*

%files devel
%{_bindir}/aalib-config
%{_libdir}/libaa.a
%{_libdir}/libaa.so
%{_mandir}/*/*
%{_includedir}/*.h
%{_datadir}/aclocal/aalib.m4

%changelog
* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- remove .la
- release 4

* Thu Jun 06 2002 Thomas Vander Stichele <thomas@apestaart.org>
- bumped to release 3
- added requires for base package

* Wed May 31 2002 Thomas Vander Stichele <thomas@apestaart.org>
- bumped to release number 2
- added requires for -devel package

* Wed May 29 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted for 1.4rc5 and GStreamer packaging
- cleaned up

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jun 2 2000 Tim Powers <timp@redhat.com>
- fix man page location to be FHS compliant
- spec file cleanups for RPM 4.0 macros

* Tue Apr 25 2000 Tim Powers <timp@redhat.com>
- general spec file cleanups. No more useless defines
- use percent configure instead of ./configure
* Thu Dec 23 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- built package for 6.1

* Wed Apr 21 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
