Name: 		fftw
Version: 	2.1.3
Release: 	gst.2
Summary: 	C subroutines for computing the Discrete Fourier Transform.

Group: 		System Environment/Libraries
License: 	GPL
URL:		http://www.fftw.org/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source:		http://www.fftw.org/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-root

Prereq:		/sbin/ldconfig

%description
FFTW is a collection of fast C routines for computing the Discrete
Fourier Transform in one or more dimensions.  It includes complex,
real, and parallel transforms, and can handle arbitrary array sizes
efficiently.  This package includes both the double- and
single-precision FFTW uniprocessors and the threads libraries.

%package devel
Summary: 	Development files for the FFTW library.
Group: 		Development/Libraries
Requires: 	fftw = %{version}-%{release}

%description devel
This package contains the additional header files, documentation, and
libraries you need to develop programs using the FFTW fast fourier
transform library.

%prep
%setup -q

%ifarch i386
CFLAGS="$RPM_OPT_FLAGS" ./configure \
  --enable-shared --enable-type-prefix --enable-i386-hacks --enable-threads
%else
CFLAGS="$RPM_OPT_FLAGS" ./configure \
  --enable-shared --enable-type-prefix --enable-threads
%endif

%build

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall
# hack to safeguard doc
cp -r doc docs

# hack to also compile/install single-precision version:
make distclean
CFLAGS="$RPM_OPT_FLAGS" ./configure \
  --enable-shared --enable-type-prefix --enable-threads --enable-float
make

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT INSTALL NEWS README README.hacks
%{_libdir}/libdfftw.so.2.0.5
%{_libdir}/libdfftw_threads.so.2.0.5
%{_libdir}/libdrfftw.so.2.0.5
%{_libdir}/libdrfftw_threads.so.2.0.5
%{_libdir}/libsfftw.so.2.0.5
%{_libdir}/libsfftw_threads.so.2.0.5
%{_libdir}/libsrfftw.so.2.0.5
%{_libdir}/libsrfftw_threads.so.2.0.5
%{_libdir}/libdfftw.so.2
%{_libdir}/libdfftw_threads.so.2
%{_libdir}/libdrfftw.so.2
%{_libdir}/libdrfftw_threads.so.2
%{_libdir}/libsfftw.so.2
%{_libdir}/libsfftw_threads.so.2
%{_libdir}/libsrfftw.so.2
%{_libdir}/libsrfftw_threads.so.2

%files devel
%defattr(-,root,root)
%doc docs/*.html docs/*.gif
%{_includedir}/dfftw.h
%{_includedir}/dfftw_threads.h
%{_includedir}/drfftw.h
%{_includedir}/drfftw_threads.h
%{_includedir}/sfftw.h
%{_includedir}/sfftw_threads.h
%{_includedir}/srfftw.h
%{_includedir}/srfftw_threads.h
%{_infodir}/*
%{_libdir}/libdfftw.a
%{_libdir}/libdfftw.so
%{_libdir}/libdfftw_threads.a
%{_libdir}/libdfftw_threads.so
%{_libdir}/libdrfftw.a
%{_libdir}/libdrfftw.so
%{_libdir}/libdrfftw_threads.a
%{_libdir}/libdrfftw_threads.so
%{_libdir}/libsfftw.a
%{_libdir}/libsfftw.so
%{_libdir}/libsfftw_threads.a
%{_libdir}/libsfftw_threads.so
%{_libdir}/libsrfftw.a
%{_libdir}/libsrfftw.so
%{_libdir}/libsrfftw_threads.a
%{_libdir}/libsrfftw_threads.so

%changelog
* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- removed .la
- release 2

* Wed Jun 05 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from Red Hat's 7.1 Powertools SPEC file for GStreamer

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fix bug #15034

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed broken info page location
- use %%makeinstall 
- use predefined RPM macros whenever possible

* Mon May 22 2000 Tim Powers <timp@redhat.com>
- fixed broken requires for the devel package

* Wed May 10 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- fixed info pages not being gzipped

* Tue Nov 9 1999 Tim Powers <timp@redhat.com>
- updated to 2.1.3

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Fri Aug  6 1999 Jeff Johnson <jbj@redhat.com>
- package for powertools.
