Name:           mpeg2dec
Version:        0.2.1
Release:        gst.3
Summary:	MPEG-2 decoder library and program

Group:          Libraries/Multimedia
License:        LGPL
URL:            http://libmpeg2.sourceforge.net/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source:         http://libmpeg2.sourceforge.net/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-root

Prereq:		/sbin/ldconfig
BuildRequires:  SDL-devel
BuildRequires:  XFree86-devel
BuildRequires:  esound-devel

%description
libmpeg2 is a free library for decoding MPEG-2 and MPEG-1 video
streams. It is released under the terms of the GPL license.

%package devel
Summary:	MPEG-2 decoder library development files
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
mpeg2dec-devel contains the files necessary to build packages that use the
mpeg2dec library.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall
# docs are not installed by default
mkdir -p $RPM_BUILD_ROOT/%{_docdir}
install -m 644 AUTHORS COPYING INSTALL NEWS README TODO \
               $RPM_BUILD_ROOT/%{_docdir}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README TODO
%{_bindir}/*
%{_libdir}/libmpeg2.so.*
%{_libdir}/libcpuaccel.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/mpeg2dec
%{_libdir}/libmpeg2.so
%{_libdir}/libmpeg2.a
%{_libdir}/libcpuaccel.so
%{_libdir}/libcpuaccel.a

%changelog
* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- remove .la
- release 3

* Wed May 29 2002 Thomas Vander Stichele <thomas@apestaart.org>
- wrote out the different libs
- added docs
- removed autogen.sh option

* Wed May 08 2002 Erik Walthinsen <omega@temple-baptist.com>
- changed whitespace
- removed %attr and changed %defattr to (-,root,root)

* Fri May 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from PLD spec for 0.2.1

